--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Intermediate association for through model relationships
- !ruby/struct:SM::Flow::P 
  body: "Example: for :bugs association in"
- !ruby/struct:SM::Flow::P 
  body: class Software::Engineer
- !ruby/struct:SM::Flow::VERB 
  body: "  include DataMapper::Resource\n\n  has n, :missing_tests\n  has n, :bugs, :through =&gt; :missing_tests\n"
- !ruby/struct:SM::Flow::P 
  body: end
- !ruby/struct:SM::Flow::P 
  body: through is :missing_tests
- !ruby/struct:SM::Flow::P 
  body: "TODO: document a case when through option is a model and not an association name"
- !ruby/struct:SM::Flow::P 
  body: "@api semipublic"
full_name: DataMapper::Associations::ManyToMany::Relationship#through
is_singleton: false
name: through
params: ()
visibility: public
